Status: Resolved Priority: Should have
Author: Arvid Jakobsson Category: Code Cleanup
Created: 2012-09-16 Assigned To: Arvid Jakobsson
Updated: 2012-09-17 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Sprint Focus:
Subject: Superfluous brackets in sysext sysexts "opendocs", "openid", "perm" and "recordlist" after namespaces move
Description

The following syntax appears in various parts of these extensions:

-    if (((!$root && !$DBmount) && $elFromTable) && $GLOBALS['TCA'][$table]['ctrl']['sortby']) {
+    if (!$root && !$DBmount && $elFromTable && $GLOBALS['TCA'][$table]['ctrl']['sortby']) {

Associated revisions
Revision b04fa38b - 2012-09-17 22:42 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts

Removes superfluous parenthesis in sysexts "opendocs", "openid",
"perm" and "recordlist".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: Ibe211f8ff6ba0089ecb086bd645ca55ab6fcc9da
Resolves: #40968
Related: #40095
Reviewed-on: http://review.typo3.org/14627
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

History
#1 - 2012-09-16 22:22 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14627

#2 - 2012-09-17 23:30 - Arvid Jakobsson
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:b04fa38be9b4bb6d29f58e4b3d38d3c94605345c.
